#812 closed defect (wontfix)

FORTIFY kills ar

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: highest Milestone: 4.8
Component: tool Version: unknown
Severity: critical Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

The "ar" from binutils-2.16.x suffers from memory leaks.

Building the RTEMS binutils rpms on systems with FORTIFY enabled (e.g. FC4) trigger this and result into unusable "ar".

Release:
Linux systems with FORTIFY enabled, binutils <= 2.16.1, Fedora Core >= 4

Attachments (1)

binutils-2.16.1-fortify-20050708.diff (2.1 KB) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:13 PM.
binutils-2.16.1-fortify-20050708.diff

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Aug 2, 2005 at 11:19:04 AM by Ralf Corsepius

Status: assignedwaiting

Changed on Dec 3, 2006 at 1:31:13 PM by Ralf Corsepius

binutils-2.16.1-fortify-20050708.diff

comment:2 Changed on Dec 6, 2006 at 4:51:55 PM by Ralf Corsepius

Milestone: 4.8
rep_platform: All
Resolution: wontfix
Status: assignedclosed

Fixed upstream. binutils >= 2.17 don't suffer from this issue.

Note: See TracTickets for help on using tickets.